Modify the API Client credential and configuration.

Modify the API Client credential and configuration for the associated API Client.

To add or modify IP filtering:
1) First retrieve the clientId using GET /onpremagents/{id}/apicreds
2) Then use this PUT endpoint with the clientId to update ipFilterOp and ipFilters. Both fields should be set together.
3) To remove IP filtering, set both to null. Changes take effect immediately.

Note: IP filtering cannot be configured during agent creation and must be added after creation using this endpoint. Bridge agent API clients do not appear in the standard 'Secure > API clients' UI section.

Entitlements:
- manageExternalAgents (Manage external Agent configurations)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Path Params
string
required

The agent identifier.

string
required

The API client identifier.

Body Params

The updated configuration.

The API credential.

string

The client secret.

string
enum

The IP filter operation mode. Use 'allow' to permit only the specified IP addresses to use these credentials, or 'deny' to block the specified IP addresses. Must be set together with ipFilters.

Allowed:
ipFilters
array of strings

The IP filters. List of IP addresses that are allowed or denied for use of client credentials.

Supported formats:
‱ Single IP: 1.2.3.4
‱ CIDR notation: 1.2.3.0/24
‱ Range: 1.2.3.4-1.2.3.42
‱ IPv6: 2001:db8::1, 2001:db8:1234::/48, 2001:db8::1-2001:db8::ff

Must be set together with ipFilterOp. To remove IP filtering, set both ipFilterOp and ipFilters to null.

ipFilters
Responses
204

The configuration was updated.

Language
URL
LoadingLoading

Response
Choose an example:
application/json